## qtbase-opensource-src-gles 5.5.1+dfsg

=== tests/auto/cmake/CMakeLists.txt ===

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) cmake ..      # Run cmake on this directory.
# 4) ctest         # Run ctest
#
# The expected output is something like:
#
#       Start  1: test_use_modules_function
#  1/11 Test  #1: test_use_modules_function ........   Passed    3.36 sec
#       Start  2: test_wrap_cpp_and_resources
#  2/11 Test  #2: test_wrap_cpp_and_resources ......   Passed    1.41 sec
#       Start  3: test_dependent_modules
#  3/11 Test  #3: test_dependent_modules ...........   Passed    2.22 sec
#       Start  4: test_add_resource_options
#  4/11 Test  #4: test_add_resource_options ........   Passed    0.16 sec
#       Start  5: test_wrap_cpp_options
#  5/11 Test  #5: test_wrap_cpp_options ............   Passed    0.36 sec
#       Start  6: test_needsquoting_dirname
#  6/11 Test  #6: test_needsquoting_dirname ........   Passed    2.20 sec
#       Start  7: test_platform_defs_include
#  7/11 Test  #7: test_platform_defs_include .......   Passed    0.28 sec
#       Start  8: test_qtmainwin_library
#  8/11 Test  #8: test_qtmainwin_library ...........   Passed    1.27 sec
#       Start  9: test_dbus_module
#  9/11 Test  #9: test_dbus_module .................   Passed    3.46 sec
#       Start 10: test_multiple_find_package
# 10/11 Test #10: test_multiple_find_package .......   Passed    0.07 sec
#       Start 11: test_add_resources_delayed_file
# 11/11 Test #11: test_add_resources_delayed_file ..   Passed    0.38 sec
#
#
# Note that if Qt is not installed, or if it is installed to a
# non-standard prefix, the environment variable CMAKE_PREFIX_PATH
# needs to be set to the installation prefix or build prefix of Qt
# before running these tests.

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

if(NOT ${CMAKE_VERSION} VERSION_LESS 2.8.9)
    # Requires INCLUDE_DIRECTORIES target property in CMake 2.8.8
    # and POSITION_INDEPENDENT_CODE target property in 2.8.9
    expect_pass(test_use_modules_function)
    expect_pass(test_umbrella_config)
else()
    message("CMake version older than 2.8.9 (Found ${CMAKE_VERSION}). Not running test \"test_use_modules_function\" or \"test_umbrella_config\"")
endif()

expect_pass(test_wrap_cpp_and_resources)
if (NOT NO_WIDGETS)
    expect_pass(test_dependent_modules)
    expect_pass("test(needsquoting)dirname")
endif()
expect_fail(test_add_resource_options)
expect_fail(test_wrap_cpp_options)
expect_pass(test_platform_defs_include)
expect_pass(test_qtmainwin_library)

if (NOT NO_DBUS)
    expect_pass(test_dbus_module)
endif()
expect_pass(test_multiple_find_package)
if (NOT WIN32 OR (WIN32 AND NOT CMAKE_VERSION VERSION_LESS 2.8.11))
    # Broken on windows on earlier CMake versions.
    # http://public.kitware.com/Bug/view.php?id=13392
    expect_pass(test_add_resources_delayed_file)
    expect_pass(test_add_binary_resources_delayed_file BINARY test_add_binary_resources_delayed_file)
endif()
expect_pass(test_private_includes)
expect_pass(test_testlib_definitions)
expect_pass(test_json_plugin_includes)

expect_fail(test_testlib_no_link_gui)
execute_process(COMMAND ${CMAKE_COMMAND} -E copy
    "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
    "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_gui/test_testlib_no_link_gui/"
)

if (NOT NO_WIDGETS)
    expect_fail(test_testlib_no_link_widgets)
    execute_process(COMMAND ${CMAKE_COMMAND} -E copy
        "${CMAKE_CURRENT_SOURCE_DIR}/test_testlib_definitions/main.cpp"
        "${CMAKE_CURRENT_BINARY_DIR}/failbuild/test_testlib_no_link_widgets/test_testlib_no_link_widgets/"
    )
endif()

set(qt_module_includes
  Core QObject
  Gui QImage
  Network QHostInfo
  Sql QSqlError
  Test QTestEventList
  Xml QDomDocument
)

if (NOT NO_WIDGETS)
  list(APPEND qt_module_includes
    Widgets QWidget
    OpenGL QGLBuffer
    PrintSupport QPrinter
  )
endif()

if (NOT NO_DBUS)
  list(APPEND qt_module_includes
    DBus QDBusMessage
  )
endif()

test_module_includes(
  ${qt_module_includes}
)
expect_pass(test_concurrent_module)
expect_pass(test_openglextensions_module)
if (QT_WITH_ANGLE OR (NOT WIN32 AND NOT APPLE AND NOT NO_EGL))
    expect_pass(test_egl_lib)
endif()
expect_pass(test_opengl_lib)

if (NOT CMAKE_VERSION VERSION_LESS 2.8.11)
    expect_pass(test_interface)
endif()

if (NOT CMAKE_VERSION VERSION_LESS 2.8.12)
    expect_pass(test_interface_link_libraries)
    expect_pass(test_moc_macro_target)
endif()

=== tests/auto/cmake/test_interface/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.11)

project(test_interface)

find_package(Qt5Widgets)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_executable(test_interface_exe WIN32 main.cpp mainwindow.cpp)

# No need to specify include directories, compile definitions, the PIC flag, or to
# link explicitly to Qt5::WinMain.
target_link_libraries(test_interface_exe Qt5::Widgets)

file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/try_compile-test.cpp"
    "
#include <QString>
#include <QWidget>

int main(int,char**) { QWidget w; w.show(); return 0; }
"
)

# The try_compile works because Qt5::Widgets is listed in the LINK_LIBRARIES,
# which causes the includes, defines and appropriate PIC flag to be used.
try_compile(_TRY_COMPILE_RES "${CMAKE_CURRENT_BINARY_DIR}/try_compile-test"
    "${CMAKE_CURRENT_BINARY_DIR}/try_compile-test.cpp"
    LINK_LIBRARIES Qt5::Widgets
    OUTPUT_VARIABLE TC_OV
)

if (NOT _TRY_COMPILE_RES)
    message(SEND_ERROR "The use of try_compile with Qt5::Widgets failed. The output was :\n${TC_OV}")
endif()

=== tests/auto/cmake/test_plugins/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_plugins)

find_package(Qt5Network 5.0.0 REQUIRED)

include_directories(
    ${Qt5Network_INCLUDE_DIRS}
)

add_definitions(${Qt5Netork_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Netork_EXECUTABLE_COMPILE_FLAGS}")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(NOT Qt5Network_PLUGINS)
  message(SEND_ERROR "Qt5 network plugins not known!")
endif()

foreach(plugin ${Qt5Network_PLUGINS})
  get_target_property(_loc ${plugin} LOCATION)
  if (NOT EXISTS "${_loc}")
    message(SEND_ERROR "Plugin ${plugin} not found at ${_loc}")
  endif()
endforeach()

=== tests/auto/cmake/test_multiple_find_package/subdir1/CMakeLists.txt ===

find_package(Qt5Core REQUIRED)

add_executable(exe2 "${CMAKE_CURRENT_SOURCE_DIR}/../main.cpp")
include_directories(${Qt5Core_INCLUDE_DIRS})

## qtbase-opensource-src-gles 5.3.0+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu5) 14.09; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.0+dfsg-2ubuntu9

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 03 Oct 2014 08:11:32 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu4) 14.09; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.0+dfsg-2ubuntu7 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 24 Sep 2014 13:37:16 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu3) utopic; urgency=medium

  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 19 Jun 2014 05:27:17 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu2) utopic; urgency=medium

  * Correct the abi to 5-3-0
  * Sync symbols from qtbase-opensource-src 5.3.0+dfsg-2ubuntu3 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 18 Jun 2014 08:50:07 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove patches merged upstream:
    - debian/patches/0001-Do-not-overwrite-basePixmap-of-QIconLoader-PixmapEnt.patch
    - debian/patches/Add_better_support_for_keymap_update_handling.patch
    - debian/patches/Fix-access-after-delete-with-Harfbuzz-NG-code-path.patch
    - debian/patches/Fix-log_clusters-calculation-in-HarfBuzz-NG-code-pat.patch
    - debian/patches/HarfBuzz-NG-Hide-characters-that-should-normally-be-.patch
    - debian/patches/Minor-optimization-for-QTextEngine-shapeText.patch
    - debian/patches/Use-None-instead-of-GLX_NONE.patch
    - debian/patches/When-looking-up-the-window-hierarchy-stop-at-foreign.patch
    - debian/patches/change_sparc_qatomic.patch
    - debian/patches/enable_s390_detection.patch
    - debian/patches/fix_power_atomic_code.patch
    - debian/patches/make_qkdetheme_constructor_public.diff
    - debian/patches/platformtheme_env.diff
    - debian/patches/qdoc-Fix-crash-in-Generator-generateInnerNode.patch
  * Build with GStreamer 1.0
  * debian/patches/revert_upstream_bsymbolic_change.patch:
    - Revert upstream change since we have fixed binutils
  * Move include files to multi-arch dir following Debian's lead
  * debian/patches/enable-tests.patch:
    - Refresh the patch to apply
    - Skip a handful of tests that fail, will need to be re-enabled later
  * Sync with Debian, keeping the existing delta where applicable
  * Reverse the test enabling logic and support nocheck option
  * debian/patches/Add-virtual-function-to-QFontEngine-report-if-outlin.patch
    debian/patches/Fix-FT-glyph-outline-to-path-conversion.patch
    Fix_crash_in_QOpenGLTextureallocateStorage.patch:
    - Backport three patches from stable branch
  * For -gles variant:
    - Update enable-tests.patch
    - Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Jun 2014 12:26:16 +0000

qtbase-opensource-src-gles (5.2.1+dfsg-1ubuntu16) utopic; urgency=medium

  * debian/control: removing libqt5gui5 from build-dep, not needed

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 06 May 2014 22:34:54 -0300

qtbase-opensource-src-gles (5.2.1+dfsg-1ubuntu15) utopic; urgency=medium

  [ Ricardo Salveti de Araujo ]
  * Sync packaging with qtbase-opensource-src 5.2.1+dfsg-1ubuntu15

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix issues with keymap update handling
    (Add_better_support_for_keymap_update_handling.patch, copied from
    Debian and rebased).
  * Build-depend on libxkbcommon-x11-dev, as the new patch includes
    <xkbcommon/xkbcommon-x11.h>.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 30 Apr 2014 00:53:10 -0700

qtbase-opensource-src-gles (5.2.1+dfsg-1ubuntu14) trusty; urgency=medium

  * Repackging for building gles variants on i386 and amd64.
    - Based on qtbase-opensource-src 5.2.1+dfsg-1ubuntu14

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 17 Apr 2014 00:37:30 -0300

=== debian/control ===
Source: qtbase-opensource-src-gles
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               freetds-dev,
               gdb [!ppc64el],
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgbm-dev [linux-any],
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libmysqlclient-dev,
               libopenvg1-mesa-dev [amd64 armel armhf i386 powerpc kfreebsd-any],
               libpng-dev,
               libpq-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libx11-dev,
               libx11-xcb-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xfixes0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.14.2),
               unixodbc-dev,
               xvfb,
               zlib1g-dev,
               libqt5core5a (>= 5.3.0),
               libqt5dbus5 (>= 5.3.0),
               libqt5widgets5 (>= 5.3.0)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/

Package: libqt5gui5-gles
Architecture: i386 amd64
Conflicts: libqt5gui5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 GUI module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality (built with the
 OpenGLES backend).

Package: libqt5opengl5-gles
Architecture: i386 amd64
Conflicts: libqt5opengl5
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications (built with the OpenGLES backend).
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: qtbase5-gles-dev
Architecture: i386 amd64
Conflicts: qtbase5-dev
Replaces: qtbase5-dev
Provides: qtbase5-dev
Multi-Arch: same
Section: libdevel
Depends: libgles2-mesa-dev | libgles2-dev,
         libqt5concurrent5 (>= 5.3.0),
         libqt5core5a (>= 5.3.0),
         libqt5dbus5 (>= 5.3.0),
         libqt5gui5-gles (= ${binary:Version}),
         libqt5network5 (>= 5.3.0),
         libqt5printsupport5 (>= 5.3.0),
         libqt5sql5 (>= 5.3.0),
         libqt5test5 (>= 5.3.0),
         libqt5widgets5 (>= 5.3.0),
         libqt5xml5 (>= 5.3.0),
         qt5-qmake-gles (= ${binary:Version}),
         qtbase5-dev-tools (>= 5.3.0),
         qtchooser,
         ${misc:Depends}
Recommends: libqt5opengl5-gles-dev (= ${binary:Version})
Suggests: libmysqlclient-dev,
          libpq-dev,
          libsqlite3-dev,
          unixodbc-dev
Description: Qt 5 base development files - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications (built with the OpenGLES backend).

Package: qtbase5-private-gles-dev
Architecture: i386 amd64
Conflicts: qtbase5-private-dev
Replaces: qtbase5-private-dev
Provides: qtbase5-private-dev
Multi-Arch: same
Section: libdevel
Depends: qtbase5-gles-dev (= ${binary:Version}), ${misc:Depends}
Description: Qt 5 base private development files - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications like Qt Creator QML Designer plugin (built with the
 OpenGLES backend).
 .
 Use at your own risk.

Package: libqt5opengl5-gles-dev
Architecture: i386 amd64
Conflicts: libqt5opengl5-dev
Replaces: libqt5opengl5-dev
Provides: libqt5opengl5-dev
Multi-Arch: same
Section: libdevel
Depends: libqt5opengl5-gles (= ${binary:Version}),
         qtbase5-gles-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 OpenGL library development files - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 5 applications
 using QtOpenGL library (built with the OpenGLES backend).

Package: qt5-qmake-gles
Architecture: i386 amd64
Conflicts: qt5-qmake
Replaces: qt5-qmake
Provides: qt5-qmake
Multi-Arch: same
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 qmake Makefile generator tool - OpenGLES
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 5 qmake, a tool that helps simplify
 the build process for development project across different platforms.
 qmake automates the generation of Makefiles so that only a few lines of
 information are needed to create each Makefile. qmake can be used for any
 software project, whether it is written using Qt or not.
 .
 Qt 5 qmake requires a platform and compiler description file which contains
 many default values used to generate appropriate Makefiles.
 .
 This package contains also these platform specifications (built with the
 OpenGLES backend).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Library package list for override_dh_makeshlibs, excludes -dev -dbg
pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)
# Current debian version (e.g.: 4:4.5.2-1)
current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
# Specific shlibs version (e.g.: 4:4.5.2)
shlibs_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# Distribution vendor
vendor := $(shell dpkg-vendor --query Vendor)

# To easier the files installation according OSes and archs, we create three
# kinds of install files: foo.install-common, foo.install-$DEB_HOST_ARCH and
# foo.install-$DEB_HOST_ARCH_OS. In this case we can fine-tune what we install.
#
# Note that if any foo.install-* file exists and foo.install exist too, the
# later will get overwritten.
#
# I've opened a bug in debhelper to allow this:
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=703201

# Retrieve packages that have a .install-common file
pkgs_with_common = $(patsubst debian/%.install-common,%,$(wildcard debian/*.install-common))
# Retrieve packages that have a .install-$DEB_HOST_ARCH file
pkgs_with_arch = $(patsubst debian/%.install-$(DEB_HOST_ARCH),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH)))
# Retrieve packages that have a .install-$DEB_HOST_ARCH_OS file
pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))


ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

# Only run tests on the archs they are known to pass with current configuration
testrun_architectures := i386 amd64

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter $(DEB_HOST_ARCH),alpha arm64 ia64 mips64 mips64el))
	platform_arg = linux-g++
  else ifeq ($(DEB_HOST_ARCH_BITS),64)
	platform_arg = linux-g++-64
  else
	platform_arg = linux-g++
  endif
else ifeq ($(DEB_HOST_ARCH_OS),hurd)
	platform_arg = hurd-g++
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	platform_arg = gnukfreebsd-g++
else
	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
endif

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	./configure -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -hostdatadir "/usr/share/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -reduce-relocations \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -no-directfb \
	            -opengl es2 \
	            $(extra_configure_opts)

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testrun_architectures)))
		xvfb-run -a make check QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib PATH=$(CURDIR)/bin:$(PATH)
endif

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Misc. files
	rm -f \
	  config.status \
	  config.tests/.qmake.cache \
	  examples/dbus/*/Makefile.* \
	  mkspecs/qconfig.pri \
	  src/corelib/global/qconfig.* \
	;

	# Misc. directories
	rm -rf \
	  doc-build/ \
	  doc/html/ \
	  doc/qch/ \
	  examples/tools/plugandpaint/plugins/ \
	  examples/tools/styleplugin/styles/ \
	  lib/ \
	  plugins/ \
	;

	# Leftover dirs
	# Ubuntu diff: tests enablement related
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \) -print \
        | xargs rm -rf

	# Leftover files and all symlinks
	# Ubuntu diff: tests enablement related
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \
	  -o -type l \) -print \
        | grep -v tests/auto/corelib/plugin/qpluginloader/elftest \
        | grep -v tests/auto/corelib/io/qdir/types \
        | grep -v tests/auto/corelib/plugin/qlibrary/library_path/invalid.so \
        | xargs rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	# Ubuntu diff: tests enablement related
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | grep -v tests/auto | xargs rm -f

	# Generated on build
	rm -f debian/shlibs.local
	rm -f debian/stamp-makefile-build-tools

ifeq ($(vendor),Ubuntu)
	rm -rf po
endif

override_dh_auto_build-indep:
	cd $(CURDIR)/src/corelib; ../../bin/qmake
	cd $(CURDIR)/src/xml; ../../bin/qmake
	cd $(CURDIR)/src; ../bin/qmake; make sub-qdoc
	dh_auto_build -Smakefile -- html_docs

override_dh_auto_install-arch:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Add a configuration for qtchooser
	mkdir -p $(CURDIR)/debian/tmp/usr/share/qtchooser
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" > $(CURDIR)/debian/tmp/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)" >> $(CURDIR)/debian/tmp/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf

	# Ship 5.conf and qt5.conf for this arch, and a default.conf.
	# 5.conf makes calling qtchooser prettier.
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
	ln -s /usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/5.conf

## qtbase-opensource-src-gles 5.4.1+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu2) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-1ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 15:16:25 +0000

qtbase-opensource-src-gles (5.4.0+dfsg-0ubuntu4) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.0+dfsg-4ubuntu4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 Feb 2015 18:25:42 +0000

qtbase-opensource-src-gles (5.4.0+dfsg-0ubuntu3) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.0+dfsg-4ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 Feb 2015 10:00:27 +0000

qtbase-opensource-src-gles (5.4.0+dfsg-0ubuntu2) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.0+dfsg-4ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:09:05 +0000

qtbase-opensource-src-gles (5.3.2+dfsg-0ubuntu3) vivid; urgency=medium

  * control: Drop build-dependency on libopenvg1-mesa-dev which is gone.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Feb 2015 13:23:50 +0200

qtbase-opensource-src-gles (5.3.2+dfsg-0ubuntu2) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.2+dfsg-4ubuntu8 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 21 Nov 2014 05:44:51 +0000

qtbase-opensource-src-gles (5.3.2+dfsg-0ubuntu1) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.2+dfsg-4ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 29 Oct 2014 05:57:28 +0000

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,13 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
+               libinput-dev [linux-any],
                libjpeg-dev,
+               libmtdev-dev [linux-any],
                libmysqlclient-dev,
-               libopenvg1-mesa-dev [amd64 armel armhf i386 powerpc kfreebsd-any],
                libpng-dev,
                libpq-dev,
                libpulse-dev,
@@ -45,6 +44,7 @@
                libxcb-xfixes0-dev,
                libxcb-xkb-dev,
                libxcb1-dev,
+               libxext-dev,
                libxi-dev,
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
@@ -53,10 +53,10 @@
                unixodbc-dev,
                xvfb,
                zlib1g-dev,
-               libqt5core5a (>= 5.3.0),
-               libqt5dbus5 (>= 5.3.0),
-               libqt5widgets5 (>= 5.3.0)
-Standards-Version: 3.9.5
+               libqt5core5a (>= 5.4.0),
+               libqt5dbus5 (>= 5.4.0),
+               libqt5widgets5 (>= 5.4.0)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 
 Package: libqt5gui5-gles
@@ -106,12 +106,15 @@
          libqt5test5 (>= 5.3.0),
          libqt5widgets5 (>= 5.3.0),
          libqt5xml5 (>= 5.3.0),
+         libxext-dev,
          qt5-qmake-gles (= ${binary:Version}),
          qtbase5-dev-tools (>= 5.3.0),
          qtchooser,
          ${misc:Depends}
 Recommends: libqt5opengl5-gles-dev (= ${binary:Version})
-Suggests: libmysqlclient-dev,
+Suggests: libegl1-mesa-dev,
+          libgl1-mesa-dev,
+          libmysqlclient-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
@@ -121,6 +124,9 @@
  .
  This package contains the header development files used for building Qt 5
  applications (built with the OpenGLES backend).
+ .
+ If you are interested in packaging Qt 5 stuff please take a look at
+ http://pkg-kde.alioth.debian.org/packagingqtstuff.html
 
 Package: qtbase5-private-gles-dev
 Architecture: i386 amd64

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,15 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 export PATH := $(PATH):$(shell pwd)/bin
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
-# Library package list for override_dh_makeshlibs, excludes -dev -dbg
-pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
 # Upstream changelog
-upstream_changes := $(wildcard dist/changes-*)
-# Current debian version (e.g.: 4:4.5.2-1)
-current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
-# Specific shlibs version (e.g.: 4:4.5.2)
-shlibs_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
+upstream_changes := dist/changes-$(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-' | sed -e 's/+dfsg//' | sed -e 's/+git.*//')
 # Distribution vendor
 vendor := $(shell dpkg-vendor --query Vendor)
 
@@ -48,11 +43,18 @@
 	extra_configure_opts += -no-sql-ibase
 endif
 
+# Compile without sse2 support on i386
+# Do not use pre compiled headers in order to be able to rebuild the gui
+# submodule.
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+	cpu_opt = -no-sse2 -no-pch
+endif
+
 # Only run tests on the archs they are known to pass with current configuration
 testrun_architectures := i386 amd64
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  ifneq (,$(filter $(DEB_HOST_ARCH),alpha arm64 ia64 mips64 mips64el))
+  ifneq (,$(filter $(DEB_HOST_ARCH),alpha ia64 mips64 mips64el arm64))
 	platform_arg = linux-g++
   else ifeq ($(DEB_HOST_ARCH_BITS),64)
 	platform_arg = linux-g++-64
@@ -104,7 +106,6 @@
 	            -verbose \
 	            -optimized-qmake \
 	            -dbus-linked \
-	            -reduce-relocations \
 	            -no-strip \
 	            -no-separate-debug-info \
 	            -qpa xcb \
@@ -114,7 +115,8 @@
 	            -accessibility \
 	            -no-directfb \
 	            -opengl es2 \
-	            $(extra_configure_opts)
+	            $(extra_configure_opts) \
+	            $(cpu_opt)
 
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testrun_architectures)))
@@ -193,7 +195,6 @@
 	| cut -d ':' -f 1 | grep -v tests/auto | xargs rm -f
 
 	# Generated on build
-	rm -f debian/shlibs.local
 	rm -f debian/stamp-makefile-build-tools
 
 ifeq ($(vendor),Ubuntu)
@@ -209,16 +210,23 @@
 override_dh_auto_install-arch:
 	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/
 
+ifeq ($(DEB_HOST_ARCH_CPU),i386)
+	# Rebuild the necessary libs with SSE2 support.
+	# Create the destination directory.
+	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
+
+	# corelib needs make clean first to be able to rebuild.
+	cd $(CURDIR)/src/corelib; make clean ; ../../bin/qmake -config sse2; make
+	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
+
+	# gui on turn doesn't needs it, and actually fails if done.
+	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; make
+	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
+endif
+
 	# Fix wrong path in pkgconfig files
 	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
 		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
 
 	# Add a configuration for qtchooser
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/qtchooser
-	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" > $(CURDIR)/debian/tmp/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf
-	echo "/usr/lib/$(DEB_HOST_MULTIARCH)" >> $(CURDIR)/debian/tmp/usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf
-
-	# Ship 5.conf and qt5.conf for this arch, and a default.conf.
-	# 5.conf makes calling qtchooser prettier.
-	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
-	ln -s /usr/share/qtchooser/qt5-$(DEB_HOST_MULTIARCH).conf $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser/5.conf

## qtbase-opensource-src-gles 5.4.2+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu9) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu9

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 16 Oct 2015 10:09:47 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu8) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu8

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 07 Oct 2015 14:02:51 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu6) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu6

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 29 Sep 2015 07:24:20 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu5) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu5

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 24 Sep 2015 07:38:45 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-0ubuntu4) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Aug 2015 06:07:33 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-0ubuntu2) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 Jul 2015 11:46:38 +0300

qtbase-opensource-src-gles (5.4.2+dfsg-0ubuntu1) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-1ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 04:59:47 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu7) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-4ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 03 Jun 2015 16:07:04 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu6) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-4ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 May 2015 14:34:04 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu5) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-4ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 May 2015 07:48:05 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu4) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-3ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 18 May 2015 07:37:41 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu3) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-1ubuntu5

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 16 Apr 2015 06:18:36 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                freetds-dev,
-               gdb [!ppc64el],
+               gdb,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
                libcups2-dev,
@@ -24,6 +24,7 @@
                libjpeg-dev,
                libmtdev-dev [linux-any],
                libmysqlclient-dev,
+               libpcre3-dev,
                libpng-dev,
                libpq-dev,
                libpulse-dev,
@@ -49,7 +50,7 @@
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.14.2),
+               pkg-kde-tools (>= 0.15.17),
                unixodbc-dev,
                xvfb,
                zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -69,11 +69,17 @@
 	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+	NUMJOBS = 1
+endif
+
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	./configure -confirm-license \
+	MAKEFLAGS="-j$(NUMJOBS)" ./configure -confirm-license \
 	            -prefix "/usr" \
 	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" \
 	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
@@ -195,7 +201,10 @@
 	| cut -d ':' -f 1 | grep -v tests/auto | xargs rm -f
 
 	# Generated on build
-	rm -f debian/stamp-makefile-build-tools
+	rm -vf debian/stamp-makefile-build-tools
+
+	# more leftovers
+	rm -f .device.vars .qmake.vars
 
 ifeq ($(vendor),Ubuntu)
 	rm -rf po
@@ -225,8 +234,3 @@
 endif
 
 	# Fix wrong path in pkgconfig files
-	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
-		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
-
-	# Add a configuration for qtchooser
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/qtchooser

## qtbase-opensource-src-gles 5.5.1+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu6) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu6

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 04 Apr 2016 10:54:40 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu4) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 30 Mar 2016 07:32:09 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 07 Mar 2016 09:19:40 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-15ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-15ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 04 Mar 2016 10:05:22 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-14ubuntu3) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-14ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Mar 2016 12:03:12 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-14ubuntu2) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-14ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 26 Feb 2016 08:07:11 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-14ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-14ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 17 Feb 2016 09:56:09 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-13ubuntu3) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-13ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 16 Feb 2016 08:52:41 +0200

qtbase-opensource-src-gles (5.5.1+dfsg-13ubuntu2) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-13ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Feb 2016 08:20:27 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-13ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-13ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 05 Feb 2016 09:32:32 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-10ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-10ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 04 Jan 2016 10:03:38 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-6ubuntu5) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-6ubuntu5

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 21 Dec 2015 16:29:54 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-6ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-6ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 01 Dec 2015 09:31:07 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
@@ -27,6 +29,7 @@
                libpcre3-dev,
                libpng-dev,
                libpq-dev,
+               libproxy-dev,
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
@@ -51,13 +54,14 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                pkg-kde-tools (>= 0.15.17),
+               publicsuffix,
                unixodbc-dev,
                xvfb,
                zlib1g-dev,
                libqt5core5a (>= 5.4.0),
                libqt5dbus5 (>= 5.4.0),
                libqt5widgets5 (>= 5.4.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://qt-project.org/
 
 Package: libqt5gui5-gles
@@ -66,6 +70,12 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
+Recommends: libqt5svg5
+Suggests: libqt5libqgtk2
+Breaks: libqt5egldeviceintegration5 (<< 5.5.1+dfsg-13~),
+        libqt5xcbqpa5 (<< 5.5.1+dfsg-13~)
+Replaces: libqt5egldeviceintegration5 (<< 5.5.1+dfsg-13~),
+          libqt5xcbqpa5 (<< 5.5.1+dfsg-13~)
 Description: Qt 5 GUI module - OpenGLES
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -136,7 +146,10 @@
 Provides: qtbase5-private-dev
 Multi-Arch: same
 Section: libdevel
-Depends: qtbase5-gles-dev (= ${binary:Version}), ${misc:Depends}
+Depends: libinput-dev [linux-any],
+         libxkbcommon-dev,
+         qtbase5-gles-dev (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qt 5 base private development files - OpenGLES
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))
 
 
-ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
+ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
 	extra_configure_opts += -plugin-sql-ibase
 else
 	extra_configure_opts += -no-sql-ibase
@@ -121,6 +121,7 @@
 	            -accessibility \
 	            -no-directfb \
 	            -opengl es2 \
+	            -gstreamer 1.0 \
 	            $(extra_configure_opts) \
 	            $(cpu_opt)
 
@@ -216,6 +217,17 @@
 	cd $(CURDIR)/src; ../bin/qmake; make sub-qdoc
 	dh_auto_build -Smakefile -- html_docs
 
+override_dh_auto_build-arch:
+	# Bootstrap corelibs in order to be able to build the helper tools to
+	# regenerate some upstream-provided files.
+	cd $(CURDIR)/src; ../bin/qmake; make sub-corelib
+	# Add here the code to generate the helpers and then the headers.
+	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
+	# Clean up the compiled code and start again.
+	cd $(CURDIR)/src; make distclean
+	make clean
+	dh_auto_build
+
 override_dh_auto_install-arch:
 	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/
 
@@ -224,13 +236,3 @@
 	# Create the destination directory.
 	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 
-	# corelib needs make clean first to be able to rebuild.
-	cd $(CURDIR)/src/corelib; make clean ; ../../bin/qmake -config sse2; make
-	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
-
-	# gui on turn doesn't needs it, and actually fails if done.
-	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; make
-	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
-endif
-
-	# Fix wrong path in pkgconfig files

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-opensource-src-([^-]*)\.tar.xz
